Package com.pixelmed.dicom

# Class CoercionModel

java.lang.Object
com.pixelmed.dicom.CoercionModel

public class CoercionModel extends Object

A class to encapsulate patient and study information to be used for coercion of identifiers in DICOM instances.

## Constructor Summary

Constructors
Constructor
Description
`CoercionModel(Vector paths)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CoercionModel

public CoercionModel(Vector paths)

Parameters:
  `paths` - paths to DICOM files from which to extract all patient and study information

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`